Get Evaluation Run
curl --request GET \
--url https://api.example.com/eval-runs/{eval_run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/eval-runs/{eval_run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/eval-runs/{eval_run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a03fa2f4-900d-482d-afe0-470d4cd8d1f4",
"agent_id": "basic-agent",
"model_id": "gpt-4o",
"model_provider": "OpenAI",
"name": "Test ",
"eval_type": "reliability",
"eval_data": {
"eval_status": "PASSED",
"failed_tool_calls": [],
"passed_tool_calls": [
"multiply"
]
},
"eval_input": {
"expected_tool_calls": [
"multiply"
]
},
"created_at": "2025-08-27T15:41:59Z",
"updated_at": "2025-08-27T15:41:59Z"
}{
"detail": "Bad request",
"error_code": "BAD_REQUEST"
}{
"detail": "Unauthenticated access",
"error_code": "UNAUTHENTICATED"
}{
"detail": "Insufficient permissions"
}{
"detail": "Not found",
"error_code": "NOT_FOUND"
}{
"detail": "Validation error",
"error_code": "VALIDATION_ERROR"
}{
"detail": "Internal server error",
"error_code": "INTERNAL_SERVER_ERROR"
}Evals
Get Evaluation Run
Retrieve detailed results and metrics for a specific evaluation run.
GET
/
eval-runs
/
{eval_run_id}
Get Evaluation Run
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
The ID of the database to use
Table to query eval run from
Response
Evaluation run details retrieved successfully
Unique identifier for the evaluation run
Type of evaluation (accuracy, performance, or reliability)
Available options:
accuracy, agent_as_judge, performance, reliability Evaluation results and metrics
Agent ID that was evaluated
Model ID used in evaluation
Model provider name
Team ID that was evaluated
Workflow ID that was evaluated
Name of the evaluation run
Name of the evaluated component
Input parameters used for the evaluation
Timestamp when evaluation was created
Timestamp when evaluation was last updated
Was this page helpful?